application/json

Body

  • client_id string Required
  • client_secret string Required
  • audience string Required
  • grant_type string Required

Responses

  • 200 application/json

    OK

    Hide headers attributes Show headers attributes
    • Accept string
    • Content-Type string
  • 401 application/json

    Unauthorized

    Hide headers attributes Show headers attributes
    • Date string
    • Content-Type string
    • Content-Length integer
    • Connection string
    • X-Auth0-RequestId string
    • X-RateLimit-Limit integer
    • X-RateLimit-Remaining integer
    • X-RateLimit-Reset integer
    • WWW-Authenticate string
    • Cache-Control string
POST /oauth/token
curl \
 --request POST 'https://api.staging.deliverect.com/oauth/token' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"audience":"https://api.deliverect.com","client_id":"{{clientId}}","grant_type":"client_credentials","client_secret":"{{clientSecret}}"}'
Request examples
{
  "audience": "https://api.deliverect.com",
  "client_id": "{{clientId}}",
  "grant_type": "client_credentials",
  "client_secret": "{{clientSecret}}"
}
Response examples (200)
{
  "scope": "genericPOS provisioning",
  "expires_at": 1620899002,
  "token_type": "Bearer",
  "access_token": "ey**-**-Q"
}
Response examples (401)
{
  "error": "access_denied",
  "error_description": "Unauthorized"
}